--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: Strategy store that uses SHA1 hex of base cache key and parameters as cache key.
- !ruby/struct:SM::Flow::P 
  body: It is good for caching of expensive search queries that use multiple parameters passed via query string of request.
constants: []

full_name: Merb::Cache::SHA1Store
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: delete
- !ruby/object:RI::MethodSummary 
  name: delete_all!
- !ruby/object:RI::MethodSummary 
  name: digest
- !ruby/object:RI::MethodSummary 
  name: exists?
- !ruby/object:RI::MethodSummary 
  name: fetch
- !ruby/object:RI::MethodSummary 
  name: read
- !ruby/object:RI::MethodSummary 
  name: writable?
- !ruby/object:RI::MethodSummary 
  name: write
- !ruby/object:RI::MethodSummary 
  name: write_all
name: SHA1Store
superclass: AbstractStrategyStore
